Std SelBoundingBox: Difference between revisions

From FreeCAD Documentation
No edit summary
(Restored the numbered list in the Usage section.)
 
Line 29: Line 29:


<!--T:6-->
<!--T:6-->
There are several ways to invoke the command:
# There are several ways to invoke the command:
* Press the {{Button|[[Image:Std_SelBoundingBox.svg|16px]] [[Std_SelBoundingBox|Std SelBoundingBox]]}} button.
#* Press the {{Button|[[Image:Std_SelBoundingBox.svg|16px]] [[Std_SelBoundingBox|Std SelBoundingBox]]}} button.
* Select the {{MenuCommand|View → [[Image:Std_SelBoundingBox.svg|16px]] Bounding box}} option from the menu.
#* Select the {{MenuCommand|View → [[Image:Std_SelBoundingBox.svg|16px]] Bounding box}} option from the menu.


==Preferences== <!--T:10-->
==Preferences== <!--T:10-->
Line 59: Line 59:
}}
}}
<translate>
<translate>



<!--T:9-->
<!--T:9-->
Line 73: Line 74:
{{Std Base navi{{#translation:}}}}
{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 16:09, 3 July 2022

Std SelBoundingBox

Menu location
View → Bounding box
Workbenches
All
Default shortcut
None
Introduced in version
0.19
See also
Std DrawStyle

Description

The Std SelBoundingBox command toggles the global bounding box highlighting mode. If this mode is switched on, selected objects are marked in a 3D view with a highlighted bounding box even if their ViewSelection Style is set to 'Shape'.

Usage

  1. There are several ways to invoke the command:
    • Press the Std SelBoundingBox button.
    • Select the View → Bounding box option from the menu.

Preferences

The related setting is stored: Tools → Edit parameters... → BaseApp → Preferences → View → ShowSelectionBoundingBox. It is a boolean value, the default is false.

Scripting

See also: FreeCAD Scripting Basics.

To change the ShowSelectionBoundingBox setting use the SetBool method of the appropriate ParameterGrp. The code sample does not work if FreeCAD is in console mode.

import FreeCAD, FreeCADGui

grp = FreeCAD.ParamGet('User parameter:BaseApp/Preferences/View')
if grp.GetBool('ShowSelectionBoundingBox'):
  grp.SetBool('ShowSelectionBoundingBox',False)
else:
  grp.SetBool('ShowSelectionBoundingBox',True)

FreeCADGui.updateCommands()